This repo has some scripts and small notes for setting up development ennvironments

# Mac

## Multimedia

* [mplayer](http://www.mplayerhq.hu/design7/news.html)

``` shell
brew install mplayer
```

## [Gnu Stow](https://www.gnu.org/software/stow/)

Gnu Stow is a symlink manager that can be used to manager program configuration files or 'dotfiles'.

``` shell
brew install stow
```

## [Amethyst](https://ianyh.com/amethyst/)

Tiling window manager that doesn't need too heavy permissions.

## Keyboard Shortcuts

### Desktop

* `CMD-m`: Minimize focused app.
* `CMD-q`: Kill the focused app.
* `CMD-TAB`: Iterate apps in dock with arrows. Hold `OPT` when releasing to open.
* `CTRL-CMD-q`: Lock Screen

### Amethys

* `OPT-SHIFT-k`: Move focus ccw (j for cw)
* `OPT-SHIFT-p`: Move focus to ccw screen (n for cw) 
* `CTRL-OPT-SHIFT-h`: Swap screens ccw (l for c)

### Safari

* Arrow keys: Scroll
* `OPT-Arrow`: Fast scroll
* `SHIFT-CMD-]`: Next or previous tab
* `CMD-t`: New tab
* `CMD-w`: Close active tab
* `CMD-[`: Previous or next page
* `CTRL-CMD-1`: Toggle bookmark view

### Emacs

#### Base

* `C-x C-s`: Save current file.
* `C-x C-f`: Find or open file.

#### Markdown

[Module Reference](http://www.mplayerhq.hu/design7/news.html)

* `C-c C-s 1`: Insert level one heading with hash delimiter.

#### Evil

[Reference card](https://michaelgoerz.net/refcards/vimqrc.pdf)

* `CTRL- {D, U, F, B}`: Scroll down/up by half or full page
* `zt zz zb`: Scroll current line to top, centre, bottom
* `{ }`: Move to beginning or end of paragraph
* `h l j k`: Character left, right, up, down

#### Magit

[Reference card](https://magit.vc/manual/magit-refcard.pdf)

* `CTRL-x g`: Status buffer

# Copyright

The contents of this repo are Copyright James Grogan 2024. Software is licensed under the AGPL. See the included LICENSE file for details.

