import logging

from .util import run_op

logger = logging.getLogger(__name__)

class UfwInterface:

    def __init__(self):
        pass

    def enable(self):
        op = "ufw enable"
        logger.info(f"Enabling ufw: {op}")
        run_op(op) 

    def allow_app(self, app_name: str):
        op = f"ufw allow {app_name}"
        logger.info(f"Allowing ufw app: {op}")
        run_op(op)

class Firewall:

    def __init__(self):
        self.ufw = UfwInterface()

    def allow_app(self, app_name: str):
        self.ufw.allow_app(app_name)

    def enable(self):
        self.ufw.enable()