import logging 
from .util import run_op

logger = logging.getLogger(__name__)

class User:
    def __init__(self, name, has_sudo=False):
        self.name = name 
        self.has_sudo = has_sudo

class UserManager:

    def __init__(self):
        pass

    def setup_user(self, user: User):
        self.add_user(user)
        if user.has_sudo:
            self.add_user_to_sudo(user)
        
    def add_user(self, user: User):
        op = f'adduser {user.name} --disabled-password --comment ""'
        logger.info(f"Adding user: {op}")
        run_op(op)

    def add_user_to_sudo(self, user: User):
        op = f"usermod -aG sudo {user.name}"
        logger.info(f"Adding user to sudo: {op}")
        run_op(op)