import subprocess
import logging

logger = logging.getLogger(__name__)

_DRY_RUN = False

def set_is_dry_run(is_dry_run: bool):
    _DRY_RUN = is_dry_run

def run_op(op: str, capture_output:bool = False,
    cwd:str = None):
    if not _DRY_RUN:
        if capture_output:
            ret = subprocess.run(op, 
                shell=True,
                capture_output = True, 
                text = True,
                cwd=cwd)
            ret.check_returncode()
            return ret.stdout
        else:
            ret = subprocess.run(op, shell=True, cwd=cwd) 
            ret.check_returncode()
    else:
        logger.info(f"Dry Run | {op}")

def has_program(program_name: str):
    op = f"which {program_name}"
    ret = subprocess.run(op, 
        shell=True,
        capture_output = True, 
        text = True)
    return len(ret.stdout)